# Get Collection Retrieve a single Collection specified by Collection ID. The retrieved Collection may be either a secured Collection or a private Collection created by the User. The Collection will include the list of Assets assigned to the Collection, referenced by Asset File ID. The User retrieving the Collection must have the Collection Security Role Privilege. Average Response Time: 53ms Endpoint: GET /collection/{id} Version: 1.5 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation - `Content-Type` (string, required) Enum: "application/json" ## Path parameters: - `id` (string, required) Specify Collection ID ## Response 200 fields (application/json): - `expirationDate` (integer) Expiration date in milliseconds Example: 1613755131855 - `lastUpdatedEpoch` (integer) Last update time in milliseconds Example: 1613755131855 - `shareMessage` (string) - `recipients` (array) - `downloadId` (string) Example: "NULL" - `shared` (string) Shared Collection Flag (Y | N) Enum: "N", "Y" - `name` (string) Collection Name Example: "Best of the month" - `shareDocument` (array) Array of Asset IDs for shared Collection - `sender` (object) - `createdEpoch` (integer) Creation time in milliseconds Example: 1613755131855 - `userCognitoId` (string) User ID who created this Collection Example: "7d675ef0-f423-11e9-8071-89c0c4052141" - `collectionType` (string) Type of Collection (secured | private) Enum: "secured", "private" - `collectionId` (string) Collection ID Example: "4dc328ce-4b3f-4f76-b7bb-1e83ad35458a" - `collectionDocument` (array) Array of Asset IDs in Collection Example: ["0176c8e6-1017-4308-be3b-2de3931cbb37"] - `customerId` (string) Customer ID Example: "1235644566523" ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `status` (string) Example: "error" - `message` (string) Example: "Detailed Error Message"